petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFDuplicate

duplicate a PetscSF, optionally preserving rank connectivity and graph

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFDuplicate(PetscSF sf,PetscSFDuplicateOption opt,PetscSF *newsf)

Collective

### Input Arguments

| sf | - communication object to duplicate
| opt | - PETSCSF_DUPLICATE_CONFONLY, PETSCSF_DUPLICATE_RANKS, or PETSCSF_DUPLICATE_GRAPH (see PetscSFDuplicateOption)

### Output Arguments

newsf -new communication object

### See Also

PetscSFCreate(), PetscSFSetType(), PetscSFSetGraph()

Level:beginner
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages